<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Import_ViaRoute_GPX StructType
 * @subpackage Structs
 */
class Import_ViaRoute_GPX extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ViaRouteInsertGPX
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ViaRouteInsertGPX
     */
    public $ViaRouteInsertGPX;
    /**
     * Constructor method for Import_ViaRoute_GPX
     * @uses Import_ViaRoute_GPX::setLogin()
     * @uses Import_ViaRoute_GPX::setViaRouteInsertGPX()
     * @param \StructType\Login $login
     * @param \StructType\ViaRouteInsertGPX $viaRouteInsertGPX
     */
    public function __construct(\StructType\Login $login = null, \StructType\ViaRouteInsertGPX $viaRouteInsertGPX = null)
    {
        $this
            ->setLogin($login)
            ->setViaRouteInsertGPX($viaRouteInsertGPX);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Import_ViaRoute_GPX
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ViaRouteInsertGPX value
     * @return \StructType\ViaRouteInsertGPX|null
     */
    public function getViaRouteInsertGPX()
    {
        return $this->ViaRouteInsertGPX;
    }
    /**
     * Set ViaRouteInsertGPX value
     * @param \StructType\ViaRouteInsertGPX $viaRouteInsertGPX
     * @return \StructType\Import_ViaRoute_GPX
     */
    public function setViaRouteInsertGPX(\StructType\ViaRouteInsertGPX $viaRouteInsertGPX = null)
    {
        $this->ViaRouteInsertGPX = $viaRouteInsertGPX;
        return $this;
    }
}
